Subject: Re: [PATCH 2/3] fixup for patch 2: actually check the return value

From: Matthieu Moy <[email-masked]>
Date: Wed, 16 Jul 2014 19:10:47 +0200

Tanay Abhra <[email-masked]> writes:

> I think it would be unnecessary for the current iteration.
> Currently git_configset_add_file has only two possible return values
> -1 or 0.

Yes. My point is just to check that statement in tests. (I'm usually
wary of statements like "is obviously true so I don't need to test
it" ;-) )

> I could add specialized error values for ENOENT or ENOTDIR or EACCES,
> but the logs show that we silently ignore the first two. I can add an
> access warn for the third. What do you think?

I think the code is fine as it is.

But anyway, it's not terribly important.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/